# Contributor Guide

The ArmNN project is open for external contributors and welcomes contributions. ArmNN is licensed
under the [MIT license](https://spdx.org/licenses/MIT.html) and all accepted contributions must have
the same license.

## Developer Certificate of Origin (DCO)

Before the ArmNN project accepts your contribution, you need to certify its origin and give us your permission.  To manage this process we use Developer Certificate of Origin (DCO) V1.1 (https://developercertificate.org/).

To indicate that you agree to the the terms of the DCO, you "sign off" your contribution by adding a line with your name and e-mail address to every git commit message:

Signed-off-by: John Doe <john.doe@example.org>

You must use your real name, no pseudonyms or anonymous contributions are accepted.

## Releases

Official ArmNN releases are published through the official [ArmNN Github repository](https://github.com/ARM-software/armnn).

## Development repository

The ArmNN development repository is hosted on the [mlplatform.org git repository](https://git.mlplatform.org/ml/armnn.git/) hosted by [Linaro](https://www.linaro.org/).

## Code reviews

Contributions must go through code review. Code reviews are performed through the [mlplatform.org Gerrit server](https://review.mlplatform.org). Contributors need to signup to this Gerrit server with their GitHub account
credentials.

Only reviewed contributions can go to the master branch of ArmNN.

## Continuous integration

Contributions to ArmNN go through testing at the Arm CI system. All unit, integration and regression
tests must pass before a contribution gets merged to the ArmNN master branch.

## Communications

We encourage all ArmNN developer to subscribe to the [ArmNN developer mailing list](https://lists.linaro.org/mailman/listinfo/armnn-dev).
